export declare class Notifications {
    private context;
    private messages;
    constructor();
    init: (context: any, data: any) => void;
    set: (messages: Notifications.Messages) => Notifications.Messages;
    get: (message: string) => any;
}
export declare namespace Notifications {
    interface Messages {
        MESSAGE_TIMEOUT: number;
        CART_ITEM_ADDED_SUCCESS: string;
        CART_ITEM_ADDED_QTY_NOT_AVAILABLE: string;
        CART_ITEM_ADDED_FAILED: string;
        CART_ITEM_REMOVED_SUCCESS: string;
        CART_ITEM_REMOVED_FAILED: string;
        CART_NOTE_UPDATE_SUCCESS: string;
        CART_QTY_UPDATE_SUCCESS: string;
        CART_QTY_UPDATE_FAILED: string;
        CART_VARIANT_UPDATE_SUCCESS: string;
        CART_VARIANT_UPDATE_FAILED: string;
        CART_REQUEST_FAILED: string;
        CART_CLEARED_SUCCESS: string;
        CART_CLEARED_FAILED: string;
        SHIPPING_RATES_SUCCESS: string;
        SHIPPING_RATES_FAILED: string;
        PRODUCT_RECOMMENDATIONS_SUCCESS: string;
        PRODUCT_RECOMMENDATIONS_NOTFOUND: string;
        PRODUCT_RECOMMENDATIONS_FAILED: string;
        WISHLIST_REQUEST_SUCCESS: string;
        WISHLIST_REQUEST_FAILED: string;
        WISHLIST_ITEM_ADDED_SUCCESS: string;
        WISHLIST_ITEM_ADDED_FAILED: string;
        WISHLIST_ITEM_REMOVED_SUCCESS: string;
        WISHLIST_ITEM_REMOVED_FAILED: string;
        WISHLIST_ITEM_UPDATED_SUCCESS: string;
        WISHLIST_ITEM_UPDATED_FAILED: string;
        WISHLIST_SHARED_SUCCESS: string;
        WISHLIST_SHARED_FAILED: string;
        WISHLIST_DUPLICATE_SUCCESS: string;
        WISHLIST_DUPLICATE_FAILED: string;
        WISHLIST_MIGRATE_SUCCESS: string;
        WISHLIST_MIGRATE_FAILED: string;
        HELPERS_PRODUCTS_SUCCESS: string;
        HELPERS_PRODUCTS_FAILED: string;
        HELPERS_GIFTCARD_SUCCESS: string;
        HELPERS_GIFTCARD_FAILED: string;
        HELPERS_CUSTOMER_SUCCESS: string;
        HELPERS_CUSTOMER_FAILED: string;
    }
}
