export declare namespace Form {
    interface Data {
        errors?: Array<string>;
        fields?: Array<Field>;
        form?: Attributes;
        password_needed: boolean;
        posted_successfully: boolean;
    }
    interface Attributes {
        id: string;
        action: string;
        method: string;
        accept_charset?: string;
        enctype?: string;
        class?: string;
    }
    interface Field {
        name: string;
        type: string;
        value: string;
    }
}
export interface Form {
    currency: Form.Data;
    contact: Form.Data;
    customer: Form.Data;
    customer_address: Form.Data;
    customer_login: Form.Data;
    guest_login: Form.Data;
    create_customer: Form.Data;
    recover_customer_password: Form.Data;
    reset_customer_password: Form.Data;
    activate_customer_password: Form.Data;
    storefront_password: Form.Data;
    new_comment: Form.Data;
    address_delete: Form.Data;
}
